### Hierarchy

- OwnPropsOfExpandPanel
  - StatePropsOfExpandPanel
    - ExpandPanelProps

## Index

### Properties

- childLabel
- childPath
- expanded
- index
- path
- renderers
- schema
- uischema
- uischemas

### Methods

- handleExpansion

## Properties

### childLabel

childLabel: string

- Defined in layouts/MaterialArrayLayout.tsx:199

### childPath

childPath: string

- Defined in layouts/MaterialArrayLayout.tsx:200

### expanded

expanded: boolean

Inherited from OwnPropsOfExpandPanel.expanded

- Defined in layouts/MaterialArrayLayout.tsx:194

### index

index: number

Inherited from OwnPropsOfExpandPanel.index

- Defined in layouts/MaterialArrayLayout.tsx:190

### path

path: string

Inherited from OwnPropsOfExpandPanel.path

- Defined in layouts/MaterialArrayLayout.tsx:191

### Optional renderers

renderers: JsonFormsRendererRegistryEntry[]

Inherited from OwnPropsOfExpandPanel.renderers

- Defined in layouts/MaterialArrayLayout.tsx:195

### schema

schema: JsonSchema

Inherited from OwnPropsOfExpandPanel.schema

- Defined in layouts/MaterialArrayLayout.tsx:193

### uischema

uischema: ControlElement

Inherited from OwnPropsOfExpandPanel.uischema

- Defined in layouts/MaterialArrayLayout.tsx:192

### uischemas

uischemas: object[]

- Defined in layouts/MaterialArrayLayout.tsx:201

## Methods

### handleExpansion

- handleExpansion(panel: string): function

- Inherited from OwnPropsOfExpandPanel.handleExpansion

  - Defined in layouts/MaterialArrayLayout.tsx:196

  #### Parameters

  - ##### panel: string

  #### Returns function

  - - (event: any, expanded: boolean): void

    - #### Parameters

      - ##### event: any

      - ##### expanded: boolean

      #### Returns void

Generated using TypeDoc